petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecCreateSeqViennaCL

Creates a standard, sequential array-style vector.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecCreateSeqViennaCL(MPI_Comm comm,PetscInt n,Vec *v)

Collective on MPI_Comm Many br

### Input Parameter

| comm | - the communicator, should be PETSC_COMM_SELF Many br
| n | - the vector length Many br

### Output Parameter

V -the vector Many br

### Notes

Use VecDuplicate() or VecDuplicateVecs() to form additional vectors of the Many brsame type as an existing vector. Many br

Many br

### See Also

VecCreateMPI(), VecCreate(), VecDuplicate(), VecDuplicateVecs(), VecCreateGhost()

Level:intermediate
Location:src/vec/vec/impls/seq/seqviennacl/vecviennacl.cxx
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages